unit Azure.CognitiveServices.ImageModeration.Types;

interface

uses
  System.SysUtils;

type

  TAcsImageModerationStatus = record
    Code: Integer;
    Description: string;
  end;

  TAcsImageModerationRequest = record
    CacheImage: Boolean;
    ImageData: TBytes;
    ImageType: string;
    ImageUrl: string;
  end;

  TAcsImageModerationResponse = record
    AdultClassificationScore: Double;
    IsImageAdultClassified: Boolean;
    RacyClassificationScore: Double;
    IsImageRacyClassified: Boolean;
    Result: Boolean;
    Status: TAcsImageModerationStatus;
    TrackingId: string;
  end;

implementation

end.
